'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactDom = require('react-dom');

var _createHelper = require('recompose/createHelper');

var _createHelper2 = _interopRequireDefault(_createHelper);

var _pick = require('lodash/pick');

var _pick2 = _interopRequireDefault(_pick);

var _identity = require('lodash/identity');

var _identity2 = _interopRequireDefault(_identity);

var _mapPropsOnEvent = require('./mapPropsOnEvent');

var _mapPropsOnEvent2 = _interopRequireDefault(_mapPropsOnEvent);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var pickedProps = ['pageX', 'pageY', 'clientX', 'clientY', 'screenX', 'screenY'];

var withMousePosition = function withMousePosition() {
  var throttle = arguments.length <= 0 || arguments[0] === undefined ? _identity2.default : arguments[0];
  return (0, _mapPropsOnEvent2.default)(function (self) {
    return (0, _reactDom.findDOMNode)(self);
  }, 'mousemove', function (e) {
    return { mousePosition: (0, _pick2.default)(e, pickedProps) };
  }, throttle, false);
};

exports.default = (0, _createHelper2.default)(withMousePosition, 'withMousePosition');