'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactDom = require('react-dom');

var _createHelper = require('recompose/createHelper');

var _createHelper2 = _interopRequireDefault(_createHelper);

var _identity = require('lodash/identity');

var _identity2 = _interopRequireDefault(_identity);

var _mapPropsOnEvent = require('./mapPropsOnEvent');

var _mapPropsOnEvent2 = _interopRequireDefault(_mapPropsOnEvent);

var _getOffsetToRoot = require('./getOffsetToRoot');

var _getOffsetToRoot2 = _interopRequireDefault(_getOffsetToRoot);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var withOffsetToRoot = function withOffsetToRoot() {
  var throttle = arguments.length <= 0 || arguments[0] === undefined ? _identity2.default : arguments[0];
  return (0, _mapPropsOnEvent2.default)(function () {
    return window;
  }, 'resize', function (e, self) {
    return { offsetToRoot: (0, _getOffsetToRoot2.default)((0, _reactDom.findDOMNode)(self)) };
  }, throttle, true);
};

exports.default = (0, _createHelper2.default)(withOffsetToRoot, 'withOffsetToRoot');